package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.TechProjectLog;

public interface TechProjectLogMapper {
    int deleteByPrimaryKey(String id);

    int insert(TechProjectLog record);

    int insertSelective(TechProjectLog record);

    TechProjectLog selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(TechProjectLog record);

    int updateByPrimaryKey(TechProjectLog record);

	List<TechProjectLog> selectTechProjectLogByPid(String pid);

	void batchInsert(List<TechProjectLog> tpl);
}